Loading...
Searching...
No Matches
gr::filter::single_pole_iir< o_type, i_type, tap_type > Class Template Reference

class template for single pole IIR filter More...

`#include <gnuradio/filter/single_pole_iir.h>`

## Public Member Functions

| single_pole_iir (tap_type alpha=1.0)
| construct new single pole IIR with given alpha
o_type | filter (const i_type input)
| compute a single output value.
void | filterN (o_type output[], const i_type input[], unsigned long n)
| compute an array of N output values. `input` must have n valid entries.
void | set_taps (tap_type alpha)
| install `alpha` as the current taps.
void | reset ()
| reset state to zero
o_type | prev_output () const

## Protected Attributes

tap_type | d_alpha
tap_type | d_one_minus_alpha
o_type | d_prev_output

## Detailed Description

template<class o_type, class i_type, class tap_type>
class gr::filter::single_pole_iir< o_type, i_type, tap_type >

class template for single pole IIR filter

## Constructor & Destructor Documentation

## single_pole_iir()

template<class o_type , class i_type , class tap_type >

gr::filter::single_pole_iir< o_type, i_type, tap_type >::single_pole_iir | ( | tap_type | alpha = 1.0 | ) |

inline

construct new single pole IIR with given alpha

computes y(i) = (1-alpha) * y(i-1) + alpha * x(i)

References gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_prev_output, and gr::filter::single_pole_iir< o_type, i_type, tap_type >::set_taps().

## Member Function Documentation

## filter()

template<class o_type , class i_type , class tap_type >

o_type gr::filter::single_pole_iir< o_type, i_type, tap_type >::filter | ( | const i_type | input | ) |

compute a single output value.

Returns
  the filtered input value.

## filterN()

template<class o_type , class i_type , class tap_type >

void gr::filter::single_pole_iir< o_type, i_type, tap_type >::filterN | ( | o_type | output[],
|  | const i_type | input[],
|  | unsigned long | n )

compute an array of N output values. `input` must have n valid entries.

## prev_output()

template<class o_type , class i_type , class tap_type >

o_type gr::filter::single_pole_iir< o_type, i_type, tap_type >::prev_output | ( |  | ) | const

inline

References gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_prev_output.

## reset()

template<class o_type , class i_type , class tap_type >

void gr::filter::single_pole_iir< o_type, i_type, tap_type >::reset | ( |  | ) |

inline

reset state to zero

References gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_prev_output.

## set_taps()

template<class o_type , class i_type , class tap_type >

void gr::filter::single_pole_iir< o_type, i_type, tap_type >::set_taps | ( | tap_type | alpha | ) |

inline

install `alpha` as the current taps.

References gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_alpha, and gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_one_minus_alpha.

Referenced by gr::filter::single_pole_iir< o_type, i_type, tap_type >::single_pole_iir(), and gr::filter::single_pole_iir< gr_complex, i_type, double >::single_pole_iir().

## Member Data Documentation

## d_alpha

template<class o_type , class i_type , class tap_type >

tap_type gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_alpha

protected

Referenced by gr::filter::single_pole_iir< o_type, i_type, tap_type >::set_taps(), and gr::filter::single_pole_iir< gr_complex, i_type, double >::set_taps().

## d_one_minus_alpha

template<class o_type , class i_type , class tap_type >

tap_type gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_one_minus_alpha

protected

Referenced by gr::filter::single_pole_iir< o_type, i_type, tap_type >::set_taps(), and gr::filter::single_pole_iir< gr_complex, i_type, double >::set_taps().

## d_prev_output

template<class o_type , class i_type , class tap_type >

o_type gr::filter::single_pole_iir< o_type, i_type, tap_type >::d_prev_output

protected

Referenced by gr::filter::single_pole_iir< o_type, i_type, tap_type >::prev_output(), gr::filter::single_pole_iir< gr_complex, i_type, double >::prev_output(), gr::filter::single_pole_iir< o_type, i_type, tap_type >::reset(), gr::filter::single_pole_iir< gr_complex, i_type, double >::reset(), gr::filter::single_pole_iir< o_type, i_type, tap_type >::single_pole_iir(), and gr::filter::single_pole_iir< gr_complex, i_type, double >::single_pole_iir().

The documentation for this class was generated from the following file:

- single_pole_iir.h